package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 消息配置表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("sys_message_config")
public class SysMessageConfig extends Model<SysMessageConfig> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;
    /**
     * 消息类型
     */
    @TableField("message_type_")
    private String messageType;
    /**
     * 消息内容
     */
    @TableField("content_")
    private String content;
    /**
     * 描述
     */
    @TableField("description_")
    private String description;
    /**
     * 最后修改时间
     */
    @TableField("modify_on_")
    private Date modifyOn;
    /**
     * 跳转url
     */
    @TableField("url_")
    private String url;


    public Integer getId() {
        return id;
    }

    public SysMessageConfig setId(Integer id) {
        this.id = id;
        return this;
    }

    public String getMessageType() {
        return messageType;
    }

    public SysMessageConfig setMessageType(String messageType) {
        this.messageType = messageType;
        return this;
    }

    public String getContent() {
        return content;
    }

    public SysMessageConfig setContent(String content) {
        this.content = content;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public SysMessageConfig setDescription(String description) {
        this.description = description;
        return this;
    }

    public Date getModifyOn() {
        return modifyOn;
    }

    public SysMessageConfig setModifyOn(Date modifyOn) {
        this.modifyOn = modifyOn;
        return this;
    }

    public String getUrl() {
        return url;
    }

    public SysMessageConfig setUrl(String url) {
        this.url = url;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "SysMessageConfig{" +
        ", id=" + id +
        ", messageType=" + messageType +
        ", content=" + content +
        ", description=" + description +
        ", modifyOn=" + modifyOn +
        ", url=" + url +
        "}";
    }
}
